using System;
using System.Diagnostics;
using System.Windows.Forms;
using DevComponents.DotNetBar;
using DevComponents.DotNetBar.Metro;

namespace DeadPix.Forms
{
    public partial class FrmAbout : MetroForm
    {
        public FrmAbout()
        {
            InitializeComponent();
        }

        private void btnClose_Click(object sender, EventArgs e)
        {
            Close();
        }

        private static void OpenWebsite(string site)
        {
            try
            {
                Process.Start(site);
            }
            catch (Exception ex)
            {
                MessageBoxEx.Show(ex.Message + Environment.NewLine + ex.StackTrace, "DeadPix", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }

        private void btnIcons8_Click(object sender, EventArgs e)
        {
            OpenWebsite("http://icons8.com");
        }

        private void btnCodeDead_Click(object sender, EventArgs e)
        {
            OpenWebsite("http://codedead.com");
        }
    }
}